textarea {
  resize: vertical;
  font-family: roboto;
  padding: 10px;
  &::-webkit-input-placeholder { font-family: roboto; color: @color-lighter;}
  &::-moz-placeholder { font-family: roboto; color: @color-lighter;}

  &:focus {
    outline-color: @xivo-primary !important;
  }
}

.emoji {
  position: relative;
  top: 4px;
}


.table-no-margin {
  height: auto;
  margin-bottom: 0px;
  width: 100%;  
}


.disable-scrollbars::-webkit-scrollbar {
  width     : 0px;
  background: transparent;
  /* Chrome/Safari/Webkit */
}

.disable-scrollbars {
  scrollbar-width: none;
  /* Firefox */
  -ms-overflow-style: none;
  /* IE 10+ */
}
.hour-date-unread-msg {
  margin-top: 8px;
  margin-bottom: 4px;
  display: flex !important;
  flex-direction: column;
  flex-wrap: wrap-reverse;
}


.chat-time {
  color: @color-normal;
}

.time-line-height {
  line-height: 52px;
  margin-top: 0px;
  margin-bottom: 0px;
}

.chat-displayName {
  font-weight: bold;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  line-height: 50px;
}

.chat-column {
  font-weight: bold;
  padding-left: 3px;
  white-space: nowrap;
  display: inline-block;
  line-height: 50px;
  color: @color-normal;
}

.chat-message {
  font-size: 14px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  line-height: 50px;
  color: @xivo-dark !important;
}

.modal.phone-overlay .modal-dialog .modal-content .modal-header  {
  text-align: left;
  font-weight: bold;
}

.modal.phone-overlay .modal-dialog .modal-content .modal-footer .send-chat {
  float: right;
  margin-right: 20px;

}

.modal.phone-overlay .modal-dialog .modal-content .modal-footer .close-modal-chat {
  float: left;
  margin-left: 20px;
}

/** toasts **/
.angularjs-toast ul.toast-container {
  bottom: 0px !important;
  top: auto !important;
}


.toast-alert .alert, .angularjs-toast .alert {
  padding: 5px !important;
  border-radius: 50px !important;
  margin-bottom: 10px !important;
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.1);
  width: 255px;
  opacity: 0.8;
  text-align: center;

  &.alert-dismissible {
    padding-right: 30px !important;


    & .close {
      padding: 3px 10px !important;
    }
  }

  & .close:focus, & .close:hover {
    color: inherit !important;
    opacity: 1 !important;
  }
}

.chat-party {
  background-color: @xivo-light;
  color: @xivo-dark !important;
  border-bottom: 1px solid #ddd;
  height: 50px;

    &:hover {
      color: #ffffff;
      text-decoration: none;
      .party-item {
        background-color: @xivo-primary;
      }
    }

    .m-party {
      border-bottom: 1px solid #d8d8d8;
      display: flex;
      padding: 0px 10px;
      .m-party-item {
        margin-left: 10px;
        white-space: nowrap;
        display: inline-block;
        .chat-time {
          font-size: 12px;
          font-style: italic;
        }
      }
    }

  .chat-time-div {
    text-align: center;
    font-weight: italic;
  }
}

textarea {
  resize: none;
  border: 0px;
  margin: 13px;
  padding: 0px;
  outline: none;
  ¹&:focus {
    border: 0px;
  }
}

.me, .you {
  clear: both;
}

new-message-badge {
  position: relative;
}

.badge-message {
  background-color: inherit!important;
  position:absolute!important;
  border-radius: 50%;
  color: #fff; 
  padding: 4px 0 0 1px;
}

.badge-message .fa-envelope {
  top: 0px!important;
  font-size: 12px;
}

.flex-align-right {
  margin-left: auto!important;

}

.party-new-message {
  display: inline-block;
  min-width: 10px;
  max-width: 35px;
  padding: 3px 7px;
  font-size: 12px;
  font-weight: bold;
  color: #ffffff;
  line-height: 1;
  vertical-align: middle;
  white-space: nowrap;
  text-align: center;
  background-color: @xivo-primary;
  border-radius: 10px;
}

.party-new-message-count {
  position: relative;
}




